Index: trunk/expressoMail1_2/js/jscode/drag_area.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2521)
@@ -23,5 +23,5 @@
 	this.div_dd.style.display ='none';
 	this.envelope = new Image();
-	this.envelope.src = "templates/"+template+"/images/envelope.png";
+	this.envelope.src = URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/envelope.png";
 	document.body.appendChild(this.div_dd);
 	
Index: trunk/expressoMail1_2/js/jscode/InfoContact.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2519)
+++ trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2521)
@@ -11,5 +11,5 @@
 emInfoContact.prototype.createCard = function(){
 	var pic= new Image(); 
-	pic.src="./templates/"+template+"/images/card.gif"; 
+	pic.src=URL_SERVER + "/expressoMail1_2/templates/"+template+"/images/card.gif"; 
 	card = document.createElement("DIV");
 	card.id = "card_cc";
@@ -91,7 +91,7 @@
 	Element("card_cc_td").innerHTML = "<table cellpadding=0 cellspacing=0 border=0 height='100%' width='100%'><tr><td width='70' height='93' style='padding-top:5px;padding-left:6px' align='center' valign='center'>"+
 										"<img src='./inc/show_img.php?email="+data.email+"'></td><td style='padding-left:2px' align='left' valign='top'>"+
-										"<br><img align='center' src='templates/"+template+"/images/"+(data.type)+"_catalog.png'><font size=1 color=BLACK>&nbsp;<b>"+get_lang("Sender's Information")+"</b></font>"+
+										"<br><img align='center' src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/"+(data.type)+"_catalog.png'><font size=1 color=BLACK>&nbsp;<b>"+get_lang("Sender's Information")+"</b></font>"+
 										_this.verifyIM(data.uid,data.email)+
-										"<br><img align='center' src='templates/"+template+"/images/phone.gif'>&nbsp;<font  size=1  color=BLACK>"+(phoneUser ? phoneUser : get_lang("None") )+"</font>"+
+										"<br><img align='center' src='"+URL_SERVER+"/expressoMail1_2/templates/"+template+"/images/phone.gif'>&nbsp;<font  size=1  color=BLACK>"+(phoneUser ? phoneUser : get_lang("None") )+"</font>"+
 										"</td></tr><tr><td valign='top' align='center' colspan='2'>"+
 										"<font size=1 color=BLACK>"+cn+"</font>"+
Index: trunk/expressoMail1_2/js/jscode/filters.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/filters.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/filters.js	(revision 2521)
@@ -7,13 +7,13 @@
 		// Images
 		this.grp_open_img = new Image();
-		this.grp_open_img.src = 'templates/'+template+'/images/filtro/group_open.gif';
+		this.grp_open_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/group_open.gif';
 		this.grp_close_img = new Image();
-		this.grp_close_img.src = 'templates/'+template+'/images/filtro/group_close.gif';
+		this.grp_close_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/group_close.gif';
 		this.filter_img = new Image();
-		this.filter_img.src = 'templates/'+template+'/images/filtro/filters.gif';
+		this.filter_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/filters.gif';
 		this.for_email_img = new Image();
-		this.for_email_img.src = 'templates/'+template+'/images/filtro/answered.gif';
+		this.for_email_img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/answered.gif';
 		this.telephone_voip = new Image();
-		this.telephone_voip.src = 'templates/'+template+'/images/filtro/telephone_voip.jpg';
+		this.telephone_voip.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/filtro/telephone_voip.jpg';
 	}		
 
Index: trunk/expressoMail1_2/js/jscode/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2521)
@@ -1,3 +1,3 @@
-_icon_dir="templates/"+template+"/images/menu/";
+_icon_dir = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/menu/';
 
 function ConstructMenuTools(){
@@ -94,5 +94,5 @@
 		var _tr = document.createElement("TR");
 		var _td = document.createElement("TD");
-		_td.innerHTML = "<img height=\"16px\" src=\"templates/"+template+"/images/menu/"+item[2]+"\">&nbsp;"+item[1]+"&nbsp;";
+		_td.innerHTML = '<img height="16px" src="' + _icon_dir + item[2]+'">&nbsp;'+item[1]+'&nbsp;';
 		_td.style.color = "DARKBLUE";
 		_td.style.cursor = "pointer";
Index: trunk/expressoMail1_2/js/jscode/rich_text_editor.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2521)
@@ -179,5 +179,5 @@
 		img.className = 'imagebutton';
 		img.align = 'center';
-		img.src = './templates/'+template+'/images/'+buttons[i]+'.gif';
+		img.src = URL_SERVER + '/expressoMail1_2/templates/'+template+'/images/'+buttons[i]+'.gif';
 		img.title = get_lang(buttons[i]);
 		img.style.cursor = 'pointer';
Index: trunk/expressoMail1_2/js/modal/modal.js
===================================================================
--- trunk/expressoMail1_2/js/modal/modal.js	(revision 1121)
+++ trunk/expressoMail1_2/js/modal/modal.js	(revision 2521)
@@ -166,7 +166,7 @@
 	cssNode.rel = 'stylesheet';
 	if (navigator.userAgent.toLowerCase().indexOf("msie") != -1)
-		cssNode.href = "./js/modal/css/modal_ie.css";
+		cssNode.href = URL_SERVER + "/expressoMail1_2/js/modal/css/modal_ie.css";
 	else
-		cssNode.href = "./js/modal/css/modal_fx.css";
+		cssNode.href = URL_SERVER + "/expressoMail1_2/js/modal/css/modal_fx.css";
 	
 	cssNode.media = 'screen';