Index: /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_es-es.lang
===================================================================
--- /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_es-es.lang	(revision 2477)
+++ /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_es-es.lang	(revision 2531)
@@ -77,5 +77,5 @@
 Enable	expressoMail1_2	es-es	Habilitar
 Enable Quick Reply	expressoMail1_2	es-es	Responder rápidamente (con detalles y al remitente)
-English 	expressoMail1_2	es-es	Inglés
+English	expressoMail1_2	es-es	Inglés
 Enter a name for the box	expressoMail1_2	es-es	Entre con un nombre para la Bandeja
 Enter the name of the new folder:	expressoMail1_2	es-es	Entre con un nombre para la nueva carpeta: 
@@ -217,5 +217,5 @@
 Personal Catalog	expressoMail1_2	es-es	Catálogo Personal
 Postfix with LDAP	expressoMail1_2	es-es	Postfix con LDAP
-Portuguese              expressoMail1_2	es-es	Portugués
+Portuguese	expressoMail1_2	es-es	Portugués
 Preferences	expressoMail1_2	es-es	Preferencias
 Previous	expressoMail1_2	es-es	Anterior
@@ -288,5 +288,5 @@
 Spam	expressoMail1_2	es-es	Espam
 Spam Folder name	admin	es-es	Nombre de la carpeta Spam
-Spanish             expressoMail1_2	es-es	Español
+Spanish	expressoMail1_2	es-es	Español
 standard IMAP server	expressoMail1_2	es-es	Servidor standar de IMAP
 standard POP3 server	expressoMail1_2	es-es	Servidor standar de POP3
Index: /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_en.lang
===================================================================
--- /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_en.lang	(revision 2477)
+++ /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_en.lang	(revision 2531)
@@ -99,5 +99,5 @@
 Enable digitally sign/cipher the message?	expressoMail1_2	en	Enable digitally sign/cipher the message?
 Enable Quick Reply	expressoMail1_2	en	Enable Quick Reply
-English                 expressoMail1_2	en	English
+English	expressoMail1_2	en	English
 Enter a name for the box	expressoMail1_2	en	Enter a name for the box
 Enter the name of the new folder:	expressoMail1_2	en	Enter the name of the new folder:
@@ -258,5 +258,5 @@
 Postfix with LDAP	expressoMail1_2	en	Postfix with LDAP
 People	expressoMail1_2	en	People
-Portuguese              expressoMail1_2	en	Portuguese
+Portuguese	expressoMail1_2	en	Portuguese
 Preferences	expressoMail1_2	en	Preferences
 Previous	expressoMail1_2	en	Previous
@@ -337,5 +337,5 @@
 Spam	expressoMail1_2	en	Spam
 Spam Folder name	admin	en	Spam Folder name
-Spanish expressoMail1_2	en	Spanish
+Spanish	expressoMail1_2	en	Spanish
 standard IMAP server	expressoMail1_2	en	standard IMAP server
 standard POP3 server	expressoMail1_2	en	standard POP3 server
Index: /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_pt-br.lang	(revision 2477)
+++ /sandbox/expressoMail1_2/corretor_ortografico/setup/phpgw_pt-br.lang	(revision 2531)
@@ -134,5 +134,5 @@
 Enabling this options you will be able to store messages in your local computer	expressoMail1_2	pt-br	Ao ativar esta opção você será capaz de armazenar mensagens no seu computador local
 End of archive messages	expressoMail1_2	pt-br	Fim do arquivamento de mensagens
-English     expressoMail1_2	pt-br Inglês
+English	expressoMail1_2	pt-br	Inglês
 Enter a name for the box	expressoMail1_2	pt-br	Entre com um nome para a caixa
 Enter the name of the new folder:	expressoMail1_2	pt-br	Insira o nome da nova pasta: 
@@ -338,5 +338,5 @@
 Phone Warnings List	expressoMail1_2	pt-br	Lista de Alertas Telefônicos
 Postfix with LDAP	expressoMail1_2	pt-br	Postfix with LDAP
-Portuguese              expressoMail1_2	pt-br	Português
+Portuguese	expressoMail1_2	pt-br	Português
 Preferences	expressoMail1_2	pt-br	Preferências
 Preview message text within a tool-tip box?	expressoMail1_2	pt-br	Pré-visualizar a mensagem em uma caixa tool-tip?
@@ -437,5 +437,5 @@
 Spam	expressoMail1_2	pt-br	Spam
 Spam Folder name	admin	pt-br	Nome da pasta spam
-Spanish     expressoMail1_2	pt-br	Espanhol
+Spanish	expressoMail1_2	pt-br	Espanhol
 standard IMAP server	expressoMail1_2	pt-br	servidor padrão de IMAP
 standard POP3 server	expressoMail1_2	pt-br	servidor padrão de POP3