Index: sandbox/expressoMail1_2/corretor_ortografico/index.php
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/index.php	(revision 2487)
+++ sandbox/expressoMail1_2/corretor_ortografico/index.php	(revision 2536)
@@ -33,4 +33,5 @@
         echo '<script type="text/javascript" src="spell_checker/cpaint/cpaint2.inc.js"></script>';
         echo '<script type="text/javascript" src="spell_checker/js/spell_checker.js"></script>';
+        
         
 	//Enable/Disable VoIP Service -> Voip Server Config
Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/css/spell_checker.css
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/css/spell_checker.css	(revision 2512)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/css/spell_checker.css	(revision 2536)
@@ -15,5 +15,7 @@
 	padding: 2px 2px 2px 2px;
 	text-align: left;
-        
+
+        outline: none; outline-style: none; -moz-outline-style:none; outline-style: 0px;
+  _moz_resizing: false; 
        
         
@@ -83,8 +85,11 @@
 .highlight {
 	color: #FF0000;
+        cursor: pointer;
 	font-family: Verdana, Arial, Helvetica, sans-serif;
 	font-size: 11px;
 	text-decoration: underline;
-	cursor: pointer;
+	
+       
+
 }
 .no_misspellings {
Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2510)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2536)
@@ -120,14 +120,14 @@
 		for($i=0; $i<$tmpNum; $i++)
 		{
-			$retVal .= "<span class=\"suggestion\" onclick=\"replaceWord('" . addslashes_custom($id) . "', '" . addslashes(utf8_encode($suggestions[$i])) . "'); return false;\">" . utf8_encode($suggestions[$i]) . " </span></br>";
+			$retVal .= "<div class=\"suggestion\" onclick=\"replaceWord('" . addslashes_custom($id) . "', '" . addslashes(utf8_encode($suggestions[$i])) . "'); return false;\">" . utf8_encode($suggestions[$i]) . " </div>";
 		}
 	
 		if($editablePersonalDict)
 		{
-			$retVal .= "<span class=\"addtoDictionary\" onclick=\"addWord('" . addslashes_custom($id) . "'); return false;\">Add To Dictionary</span>";
+			$retVal .= "<div class=\"addtoDictionary\" onclick=\"addWord('" . addslashes_custom($id) . "'); return false;\">Add To Dictionary</div>";
 		}
 
                 //Ignore the suggestion - Added by Nathalie
-                $retVal .= "<span class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </span>";
+                $retVal .= "<div class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
 
 
@@ -136,5 +136,5 @@
 	{
 		$retVal .= "Sem sugestÃ£o";
-                $retVal .= "<span class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </span>";
+                $retVal .= "<div class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
 	}
 	
@@ -207,5 +207,5 @@
 				{                                        
                                         $onClick = "onclick=\"setCurrentObject(" . $varName . "); showSuggestions('" . addslashes($tmpWord) . "', '" . $varName . "_" . $misspelledCount . "_" . addslashes($tmpWord) . "'); return false;\"";
-                                        $words[$i][$j] = str_replace($tmpWord, "<span " . $onClick . " id=\"" . $varName . "_" . $misspelledCount . "_" . $tmpWord . "\" class=\"highlight\">" . stripslashes($tmpWord) . " </span>", $words[$i][$j]);
+                                        $words[$i][$j] = str_replace($tmpWord, "<div " . $onClick . " id=\"" . $varName . "_" . $misspelledCount . "_" . $tmpWord . "\" class=\"highlight\">" . stripslashes($tmpWord) . " </div>", $words[$i][$j]);
                                         $misspelledCount++;
 				} 
Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js	(revision 2516)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js	(revision 2536)
@@ -357,5 +357,21 @@
  *************************************************************/
 function showMenu(){
-    alert("showMenu");
+
+    var iframe= currObj.objToCheck;
+    if(iframe.contentWindow)
+        iframe=iframe.contentWindow.document;
+    else
+        iframe=iframe.contentDocument;
+
+    var browser = checkBrowser();
+    if (browser == "ie"){
+        //iframe.body.CONTENTEDITABLE="false" ;
+        //iframe.CONTENTEDITABLE="true" ;
+    }
+    else {
+        iframe.designMode = "off";
+        iframe.designMode = "on";
+    }
+    
     var browser = checkBrowser();
     if (browser == "ie"){
@@ -396,5 +412,23 @@
 function replaceMenu(){
       //adicionado nathalie
-    alert("replaceMenu");
+
+    var iframe= currObj.objToCheck;
+    if(iframe.contentWindow)
+        iframe=iframe.contentWindow.document;
+    else
+        iframe=iframe.contentDocument;
+
+    var browser = checkBrowser();
+    if (browser == "ie"){
+        //iframe.CONTENTEDITABLE="false" ;
+        //iframe.CONTENTEDITABLE="true" ;
+    }
+    else {
+        iframe.designMode = "off";
+        iframe.designMode = "on";
+    }
+
+
+    
     var browser = checkBrowser();
     if (browser == "ie"){
@@ -500,13 +534,18 @@
         // Obtain all the span tags which have highlight className
         //    and add the eventListener for the click - This event shows the suggestions menu
-        var nodeArray = ifr.getElementsByTagName("span");
+        var nodeArray = ifr.getElementsByTagName("div");
         var totArray = nodeArray.length;
         for (var i = 0 ; i < totArray ; i++) {
             var node = nodeArray[i];
             if (node.className == "highlight") {
-                if (document.addEventListener)
-                    ifr.getElementsByTagName("span")[i].addEventListener("click", showMenu , true);
-                else
-                    ifr.getElementsByTagName("span")[i].attachEvent("onclick", showMenu );
+                if (document.addEventListener) {
+                    ifr.getElementsByTagName("div")[i].addEventListener("click", showMenu , true);
+                    ifr.getElementsByTagName("div")[i].style.cursor = "pointer";
+                    ifr.getElementsByTagName("div")[i].CONTENTEDITABLE="false" ;
+                }
+                else {
+                    ifr.getElementsByTagName("div")[i].attachEvent("onclick", showMenu );
+                    ifr.getElementsByTagName("div")[i].CONTENTEDITABLE="false" ;
+                }
 
             }
@@ -864,13 +903,17 @@
             ifr=ifr.contentDocument;
 
-        var nodeArray = ifr.getElementsByTagName("span");
+        var nodeArray = ifr.getElementsByTagName("div");
         var totArray = nodeArray.length;
         for (var i = 0 ; i < totArray ; i++) {
             var node = nodeArray[i];
             if (node.className == "suggestion" || node.className == "ignore" ) {
-                 if (document.addEventListener)
-                    ifr.getElementsByTagName("span")[i].addEventListener("click", replaceMenu , true);
-                else
-                    ifr.getElementsByTagName("span")[i].attachEvent("onclick", replaceMenu);
+                 if (document.addEventListener){
+                    ifr.getElementsByTagName("div")[i].addEventListener("click", replaceMenu , true);
+                    ifr.getElementsByTagName("div")[i].CONTENTEDITABLE="false" ;
+                 }
+                else {
+                    ifr.getElementsByTagName("div")[i].attachEvent("onclick", replaceMenu);
+                    ifr.getElementsByTagName("div")[i].CONTENTEDITABLE="false" ;
+                }
                     
 
@@ -903,5 +946,5 @@
 function showSuggestions(word, id)
 {
-        alert("showSuggestions");
+        
         //adicionado nathalie
          var ifr= currObj.objToCheck;
@@ -943,5 +986,5 @@
 		spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
 	}
-	spellingSuggestionsDiv = ifr.createElement('span');
+	spellingSuggestionsDiv = ifr.createElement('div');
 	spellingSuggestionsDiv.style.display = "none";
 	spellingSuggestionsDiv.className = 'suggestion_box';
@@ -950,4 +993,5 @@
 	spellingSuggestionsDiv.style.top = (y+16-scrollPos) + 'px';
         spellingSuggestionsDiv.id = 'suggestion_box'; //Adicionado Nathalie
+        spellingSuggestionsDiv.CONTENTEDITABLE="false" ; 
         
         
@@ -993,5 +1037,5 @@
 {
 
-   alert("replaceWord");
+
     var ifr= currObj.objToCheck;
     if(ifr.contentWindow)
@@ -999,4 +1043,5 @@
     else
         ifr=ifr.contentDocument;
+   
 
     var valorNo = trim(ifr.getElementById(id).innerHTML);
@@ -1013,5 +1058,5 @@
 
     // Obtain all span tags which have highlight className and contais the old word
-    var nodeArray = ifr.getElementsByTagName("span");
+    var nodeArray = ifr.getElementsByTagName("div");
     var totArray = nodeArray.length;
     var nodeRemove = new Array(totArray);
@@ -1031,4 +1076,6 @@
     }
 
+    
+
 
     if(spellingSuggestionsDiv)
@@ -1099,5 +1146,5 @@
 function switchText()
 {
-        alert("switchText");
+       
         with(currObj);
         //By Nathalie - The Element means that this div belongs to the current tab
@@ -1112,5 +1159,5 @@
         //
         // Obtain all span tags which have highlight className or corrected_word className
-        var nodeArray = ifr.getElementsByTagName("span");
+        var nodeArray = ifr.getElementsByTagName("div");
         var totArray = nodeArray.length;
         var nodeRemove = new Array(totArray);
@@ -1159,5 +1206,5 @@
 {
 
-alert("switchText_cb");
+
 //adicionado Paula
     with(currObj);
@@ -1209,5 +1256,5 @@
 function resumeEditing()
 {
-	alert("resumeEditing");
+	
         with(currObj);
 