Index: trunk/phpgwapi/js/expressoAjax/expressoAjax.js
===================================================================
--- trunk/phpgwapi/js/expressoAjax/expressoAjax.js	(revision 2521)
+++ trunk/phpgwapi/js/expressoAjax/expressoAjax.js	(revision 2537)
@@ -23,5 +23,5 @@
 	{
 		is_ie = false;
-		is_ie5 = false
+		is_ie5 = false;
 		is_moz1_6 = false;
 		is_mozilla = false;
@@ -49,5 +49,5 @@
 		this.expurgatedCache = new Array(); // Data to purge from cache
 
-	}
+	};
 	cConnector.prototype.verify_session = function(data) {
 		if(data && data.nosession){
@@ -65,5 +65,5 @@
 		else
 			return true;
-	}
+	};
 	cConnector.prototype.buildBar = function()
 		{
@@ -105,5 +105,5 @@
 				}
 			}
-	}
+	};
 //------------------------------------ BEGIN: Functions for Connector HTTPRequest  -------------------------------------------------//
 	// Serialize Data Method
@@ -148,5 +148,5 @@
 								showMessage(Element('cc_msg_err_serialize_data_unknown').value);
 								break;
-						}
+						};
 					}
 
@@ -177,11 +177,11 @@
 					showMessage(Element('cc_msg_err_serialize_data_unknown').value);
 					return null;
-			}
+			};
 
 			return str_data;
-		}
+		};
 
 		return f(data);
-	}
+	};
 
 
@@ -210,5 +210,5 @@
 
 			return nClose;
-		}
+		};
 
 		var f = function (str)
@@ -281,10 +281,10 @@
 					var data = str.charAt(2) == '1' ? true : false;
 					break;
-			}
+			};
 			return data;
-		}
+		};
 
 		return f(str);
-	}
+	};
 
 	//Create XMLHTTP object Method
@@ -311,9 +311,9 @@
 				{
 					this.oxmlhttp = null;
-				}
-			}
-		}
-
-	}
+				};
+			};
+		};
+
+	};
 
 	// Request Constructor Connector
@@ -377,5 +377,5 @@
 
 						default:
-					}
+					};
 				}
 			}
@@ -387,7 +387,7 @@
 				// View Exception in Javascript Console
 				throw(e);
-			}
-
-		}
+			};
+
+		};
 
 		try
@@ -423,8 +423,8 @@
 			// View Exception in Javascript Console
 			throw(e);
-		}
+		};
 
 		return true;
-	}
+	};
 	// Cancel Request Connector
 	cConnector.prototype.cancelRequest = function (){
@@ -435,5 +435,5 @@
 		this.requests[this.tid].abort();
 		this.hideProgressBar();
-	}
+	};
 //------------------------------------  END: Functions for Connector HTTPRequest  -------------------------------------------------//
 
@@ -444,5 +444,5 @@
 		div.style.visibility = 'hidden';
 		this.isVisibleBar = false;
-	}
+	};
 
 	cConnector.prototype.showProgressBar = function(){
@@ -451,5 +451,5 @@
 
 		this.isVisibleBar = true;
-	}
+	};
 
 	cConnector.prototype.loadAllScripts = function(scripts) {
@@ -457,5 +457,5 @@
 			this.loadScript(scripts[i]);
 		}
-	}
+	};
 
 	cConnector.prototype.loadScript = function(scriptPath)	{
@@ -483,5 +483,5 @@
 		head.appendChild(script);
 		return;
-	}
+	};
 //------------------------------------  END: Functions for Progress Bar  -------------------------------------------------//
 	// Default Controller File
@@ -500,5 +500,5 @@
 		else
 			return false;
-	}
+	};
 	cConnector.prototype.purgeCache= function(){
 		if (typeof(preferences) == "undefined" || preferences.use_cache != 'True')
@@ -513,10 +513,10 @@
 			catch (e) { };
 		}
-	}
+	};
 	cConnector.prototype.cacheNextRequest = function(expiration){
 		if (typeof(expiration) == 'undefined')
 			expiration=0;
 		this.cacheRequest=expiration;
-	}
+	};
 
 	cConnector.prototype.addToCache = function(id,data){
@@ -544,5 +544,5 @@
 				break;
 		}
-	}
+	};
 
 	// 	Function executes AJAX
@@ -573,5 +573,5 @@
 		id = url;
 		expresso.connector.newRequest(id, url, method, handler, params);
-	}
+	};
 
 // This function executes submit values to Controller (POST)
@@ -621,5 +621,5 @@
 			handlerExecuteForm(data);
 			handlerExecuteForm = null;
-		}
+		};
 		divUpload.innerHTML= "<iframe onload=\"cExecute('expressoMail1_2.functions.getReturnExecuteForm',"+form_handler+");\"  style='display:"+(debug_controller ? "" : "none")+";width:"+(debug_controller ? 400 : 0)+";height:"+(debug_controller ? 400 : 0)+";' name='uploadFile'></iframe>";
 		form.action = URL_SERVER + "/controller.php";
@@ -630,5 +630,5 @@
 			el.parentNode.removeChild(el);
 		}
-	}
+	};
 
 
@@ -652,12 +652,12 @@
     			return false;
 	    }
-	}
+	};
 
 function expressoAjax(){
 	this.connector = new cConnector();
 
-}
+};
 expressoAjax.prototype.require = function (module){
 	expresso.connector.loadScript(module);
-}
+};
 var expresso = new expressoAjax();