Index: /branches/2.0/phpgwapi/setup/setup.inc.php
===================================================================
--- /branches/2.0/phpgwapi/setup/setup.inc.php	(revision 2185)
+++ /branches/2.0/phpgwapi/setup/setup.inc.php	(revision 2541)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.0.004';
+	$setup_info['phpgwapi']['version']   = '2.0.005';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.0';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /branches/2.0/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 2185)
+++ /branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 2541)
@@ -1691,3 +1691,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.0.004';
+	function phpgwapi_upgrade2_0_004()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.005';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
 ?>
Index: /branches/2.0/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1672)
+++ /branches/2.0/expressoAdmin1_2/setup/tables_update.inc.php	(revision 2541)
@@ -67,3 +67,9 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.0.001';
+	function expressoAdmin1_2_upgrade2_0_001()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.002';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}	
 ?>
Index: /branches/2.0/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /branches/2.0/expressoAdmin1_2/setup/setup.inc.php	(revision 1672)
+++ /branches/2.0/expressoAdmin1_2/setup/setup.inc.php	(revision 2541)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.0.001';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.0.002';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: /branches/2.0/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 2185)
+++ /branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 2541)
@@ -113,3 +113,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.0.004';
+	function expressoMail1_2_upgrade2_0_004() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.005';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}	
 ?>
Index: /branches/2.0/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 2185)
+++ /branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 2541)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.0.004';
+	$setup_info['expressoMail1_2']['version']   	= '2.0.005';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';
Index: /branches/2.0/expressoMail1_2/index.php
===================================================================
--- /branches/2.0/expressoMail1_2/index.php	(revision 2182)
+++ /branches/2.0/expressoMail1_2/index.php	(revision 2541)
@@ -5,10 +5,9 @@
 		'nonavbar' => False,
 		'currentapp' => 'expressoMail1_2',
-		'update_version'	=> '1.235',
 		'enable_nextmatchs_class' => True
 	);
 	
 	require_once('../header.inc.php');
-	$update_version = $GLOBALS['phpgw_info']['flags']['update_version'];
+	$update_version = $GLOBALS['phpgw_info']['apps']['expressoMail1_2']['version'];
 	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
 	echo '<link rel="stylesheet" type="text/css" href="templates/'.$_SESSION['phpgw_info']['expressoMail1_2']['user']['preferences']['common']['template_set'].'/main.css">';
@@ -177,5 +176,4 @@
 	// Get Preferences or redirect to preferences page.
 	$GLOBALS['phpgw']->preferences->read_repository();
-	//print_r($_SESSION['phpgw_info']['user']['preferences']['expressoMail']);
 ?>
 