Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2536)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2543)
@@ -129,5 +129,5 @@
 
                 //Ignore the suggestion - Added by Nathalie
-                $retVal .= "<div class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
+                $retVal .= "<div class=\"ignore\" onclick=\"ignore('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
 
 
@@ -136,5 +136,5 @@
 	{
 		$retVal .= "Sem sugestÃ£o";
-                $retVal .= "<div class=\"ignore\" onclick=\"replaceWord('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
+                $retVal .= "<div class=\"ignore\" onclick=\"ignore('" .  addslashes_custom($id)  . "', '" .   addslashes($word)   . "'); return false;\"> Ignorar </div>";
 	}
 	
Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js	(revision 2540)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/js/spell_checker.js	(revision 2543)
@@ -325,7 +325,8 @@
 	ajaxSpell.prototype.resetSpellChecker    = resetSpellChecker;
 	ajaxSpell.prototype.resetAction          = resetAction;
-
-
-
+        ajaxSpell.prototype.ignore               = ignore;
+
+
+        //set the contentEditable to false for IE browsers
         var iframe= currObj.objToCheck;
         if(iframe.contentWindow)
@@ -556,10 +557,9 @@
                 if (document.addEventListener) {
                     ifr.getElementsByTagName("div")[i].addEventListener("click", showMenu , true);
-                    ifr.getElementsByTagName("div")[i].style.cursor = "pointer";
-                    //ifr.getElementsByTagName("div")[i].contentEditable="false" ;
+                    ifr.getElementsByTagName("div")[i].contentEditable="false" ;
                 }
                 else {
                     ifr.getElementsByTagName("div")[i].attachEvent("onclick", showMenu );
-                    //ifr.getElementsByTagName("div")[i].contentEditable="false" ;
+                    ifr.getElementsByTagName("div")[i].contentEditable="false" ;
                 }
 
@@ -969,67 +969,71 @@
             ifr=ifr.contentDocument;
 
-//alterado - colocar ifr
-        languageId =  document.getElementById("selectLanguage");
-        languageId = languageId[document.getElementById("selectLanguage").selectedIndex].value;
-        
-     
-        with(currObj);
-	if(currObj.config['useIcons'])
-	{
-		currObj.statusSpan.innerHTML = "<img src=\"images/working.gif\" width=\"16\" height=\"16\" title=\"Procurando...\" alt=\"Procurando...\" border=\"0\" />";
-	}
-	else
-	{
-		currObj.statusSpan.innerHTML = "Procurando...";
-	}
-       
-	var x = findPosXById(id);
-	var y = findPosYById(id);      
-        
-        var scrollPos = 0;
-	if(checkBrowser() != "ie")
-	{
-		
-                
-                //scrollPos = ifr.getElementById(currObj.spellingResultsDiv.id).scrollTop;
-                scrollPos = ifr.getElementsByTagName("body")[0].scrollTop;
-               
-	}
-
-	if(spellingSuggestionsDiv)
-	{
-		spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
-	}
-	spellingSuggestionsDiv = ifr.createElement('div');
-	spellingSuggestionsDiv.style.display = "none";
-	spellingSuggestionsDiv.className = 'suggestion_box';
-	spellingSuggestionsDiv.style.position = 'absolute';
-	spellingSuggestionsDiv.style.left = x + 'px';
-	spellingSuggestionsDiv.style.top = (y+16-scrollPos) + 'px';
-        spellingSuggestionsDiv.id = 'suggestion_box'; //Adicionado Nathalie
-        spellingSuggestionsDiv.contentEditable="false" ;
-        
-        
-        
-      
-       
-        
-               
-	
-	// Bah. There's got to be a better way to deal with this, but the click
-	// on a word to get suggestions starts up a race condition between
-	// showing and hiding the suggestion box, so we'll ignore the first
-	// click.
-	//spellingSuggestionsDiv.ignoreNextClick = true; // comentado Nathalie
-
-        
-	//document.body.appendChild(spellingSuggestionsDiv);
-        ifr.body.appendChild(spellingSuggestionsDiv); //alterado nathalie
-        
-
-
-
-        
-	cp.call(currObj.config['spellUrl'], 'showSuggestions', showSuggestions_cb, word, id, languageId);
+         if (ifr.getElementById(id).className == "highlight"){ //show the suggestion box only when the words are in red 
+
+    //alterado - colocar ifr
+            languageId =  document.getElementById("selectLanguage");
+            languageId = languageId[document.getElementById("selectLanguage").selectedIndex].value;
+
+
+            with(currObj);
+            if(currObj.config['useIcons'])
+            {
+                    currObj.statusSpan.innerHTML = "<img src=\"images/working.gif\" width=\"16\" height=\"16\" title=\"Procurando...\" alt=\"Procurando...\" border=\"0\" />";
+            }
+            else
+            {
+                    currObj.statusSpan.innerHTML = "Procurando...";
+            }
+
+            var x = findPosXById(id);
+            var y = findPosYById(id);
+
+            var scrollPos = 0;
+            if(checkBrowser() != "ie")
+            {
+
+
+                    //scrollPos = ifr.getElementById(currObj.spellingResultsDiv.id).scrollTop;
+                    scrollPos = ifr.getElementsByTagName("body")[0].scrollTop;
+
+            }
+
+            if(spellingSuggestionsDiv)
+            {
+                    spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
+            }
+            spellingSuggestionsDiv = ifr.createElement('div');
+            spellingSuggestionsDiv.style.display = "none";
+            spellingSuggestionsDiv.className = 'suggestion_box';
+            spellingSuggestionsDiv.style.position = 'absolute';
+            spellingSuggestionsDiv.style.left = x + 'px';
+            spellingSuggestionsDiv.style.top = (y+16-scrollPos) + 'px';
+            spellingSuggestionsDiv.id = 'suggestion_box'; //Adicionado Nathalie
+            spellingSuggestionsDiv.contentEditable="false" ;
+
+
+
+
+
+
+
+
+            // Bah. There's got to be a better way to deal with this, but the click
+            // on a word to get suggestions starts up a race condition between
+            // showing and hiding the suggestion box, so we'll ignore the first
+            // click.
+            //spellingSuggestionsDiv.ignoreNextClick = true; // comentado Nathalie
+
+
+            //document.body.appendChild(spellingSuggestionsDiv);
+            ifr.body.appendChild(spellingSuggestionsDiv); //alterado nathalie
+
+
+
+
+
+            cp.call(currObj.config['spellUrl'], 'showSuggestions', showSuggestions_cb, word, id, languageId);
+        }
+
 }; // end showSuggestions
 
@@ -1059,18 +1063,8 @@
     else
         ifr=ifr.contentDocument;
-   
 
     var valorNo = trim(ifr.getElementById(id).innerHTML);
 
-    //ifr.location.reload(true);
-
-    //alert(ifr.getElementById(currObj.spellingResultsDiv.id).getElementsByTagName("div").length);
-    //ifr.getElementById(currObj.spellingResultsDiv.id).style.display = 'none';
- 
-
-    //ifr.getElementById(currObj.spellingResultsDiv.id).
-    
-
-
+        
     // Obtain all span tags which have highlight className and contais the old word
     var nodeArray = ifr.getElementsByTagName("div");
@@ -1090,7 +1084,5 @@
         ifr.getElementById(nodeRemove[i]).innerHTML = newWord;
         ifr.getElementById(nodeRemove[i]).className = "corrected_word";
-    }
-
-    
+    }    
 
 
@@ -1099,50 +1091,55 @@
         spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
         spellingSuggestionsDiv = null;
+    }   
+
+    return false;           
+
+
+}; // end replaceWord
+
+
+/*************************************************************
+ * ignore
+ *
+ * The ignore function removes the span tags and mantain
+ * the original word. So, the word comes back to the original, without
+ * css. 
+ *
+ * @param id The id of the element to be checked
+ * @param word The original word.
+ *************************************************************/
+
+function ignore(id, word){
+
+ 
+    var ifr= currObj.objToCheck;
+    if(ifr.contentWindow)
+        ifr=ifr.contentWindow.document;
+    else
+        ifr=ifr.contentDocument;
+
+    var valorNo = trim(word);
+    if(spellingSuggestionsDiv)
+    {
+
+        spellingSuggestionsDiv.style.display = 'none';
+        spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
+        spellingSuggestionsDiv = null;
     }
 
-    /*var nodeArray = ifr.getElementsByTagName("img");
-
-        var totArray = nodeArray.length;
-        for (var i = 0 ; i < totArray ; i++) {
-            alert("Tem Imagem");
-            var node = nodeArray[i];
-                ifr.getElementsByTagName("img")[i].style = 'none';
-       }*/
-
+    var fake = ifr.createTextNode(valorNo);
+
+    var parent =  ifr.getElementById(id).parentNode;
+
+
+    parent.replaceChild(fake, ifr.getElementById(id));
 
     return false;
 
 
-// FIMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
-
-         //FunÃ§Ã£o antiga - substitui apenas uma palavra
-   /*       var ifr= currObj.objToCheck;
-         if(ifr.contentWindow)
-            ifr=ifr.contentWindow.document;
-         else
-            ifr=ifr.contentDocument;
-
-        var valorNo = trim(newWord);        
-        if(spellingSuggestionsDiv)
-	{
-
-                spellingSuggestionsDiv.style.display = 'none';
-		spellingSuggestionsDiv.parentNode.removeChild(spellingSuggestionsDiv);
-		spellingSuggestionsDiv = null;
-	}
-	
-        var fake = document.createTextNode(valorNo);
-        
-       var parent =  ifr.getElementById(id).parentNode;
-
-            
-       parent.replaceChild(fake, ifr.getElementById(id)); 
-
-        return false;*/
-
-            
-
-
-}; // end replaceWord
+
+};
+
+
 
 
@@ -1301,5 +1298,5 @@
 	}
 
-
+        //set the contentEditable to true for IE browsers to continue editing
         var iframe= currObj.objToCheck;
         if(iframe.contentWindow)
@@ -1311,8 +1308,6 @@
         if (browser == "ie"){
             iframe.body.contentEditable="true" ;
-        //iframe.body.contentEditable="true" ;
+        
         }
-
-
 	
 	currObj.switchText();