Index: sandbox/workflow/branches/993/lib/settings/Settings.php
===================================================================
--- sandbox/workflow/branches/993/lib/settings/Settings.php	(revision 2518)
+++ sandbox/workflow/branches/993/lib/settings/Settings.php	(revision 2544)
@@ -58,4 +58,8 @@
 				'show_activity_complete_page' => ''
 			),
+			'app' => array(
+				'title' => '',
+				'version' => ''
+			),
 			'intranet_subnetworks' => '',
 			'user_can_clean_instances' => ''
@@ -250,5 +254,8 @@
 		self::$_configs['workflow']['preferences']['show_activity_complete_page'] = $GLOBALS['phpgw_info']['user']['preferences']['workflow']['show_activity_complete_page'];
 
-		/*expresso preferences */
+		self::$_configs['workflow']['app']['title'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'];
+		self::$_configs['workflow']['app']['version'] = $GLOBALS['phpgw_info']['apps']['workflow']['version'];
+
+		/* expresso preferences */
 		self::$_configs['expresso']['preferences']['lang'] = $GLOBALS['phpgw_info']['user']['preferences']['common']['lang'];
 
Index: sandbox/workflow/branches/993/inc/class.ui_userinterface.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_userinterface.inc.php	(revision 2372)
+++ sandbox/workflow/branches/993/inc/class.ui_userinterface.inc.php	(revision 2544)
@@ -43,5 +43,5 @@
 	function draw($tabIndex = null)
 	{
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'];
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
 		$smarty = Factory::getInstance('workflow_smarty');
Index: sandbox/workflow/branches/993/inc/class.ui_adminjobs.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminjobs.inc.php	(revision 2372)
+++ sandbox/workflow/branches/993/inc/class.ui_adminjobs.inc.php	(revision 2544)
@@ -39,5 +39,5 @@
 			'nonavbar' => false,
 			'currentapp' => 'workflow',
-			'app_header' => $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Jobs')
+			'app_header' => Settings::get('workflow', 'app', 'title') . ' - ' . lang('Jobs')
 		);
 		$smarty = &Factory::getInstance('workflow_smarty');
Index: sandbox/workflow/branches/993/inc/class.ui_adminprocesses.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminprocesses.inc.php	(revision 2533)
+++ sandbox/workflow/branches/993/inc/class.ui_adminprocesses.inc.php	(revision 2544)
@@ -98,5 +98,5 @@
 	function form()
 	{
-		//$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Admin Processes');
+		//$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang('Admin Processes');
 		//$GLOBALS['phpgw']->common->phpgw_header();
 		//echo parse_navbar();
Index: sandbox/workflow/branches/993/inc/class.ui_external_applications.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_external_applications.inc.php	(revision 2492)
+++ sandbox/workflow/branches/993/inc/class.ui_external_applications.inc.php	(revision 2544)
@@ -59,5 +59,5 @@
 		}
 
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'];
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
 		$smarty = Factory::getInstance('workflow_smarty');
Index: sandbox/workflow/branches/993/inc/class.bo_workflow_forms.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.bo_workflow_forms.inc.php	(revision 2492)
+++ sandbox/workflow/branches/993/inc/class.bo_workflow_forms.inc.php	(revision 2544)
@@ -112,5 +112,5 @@
 			$title[1] = ucfirst($title[1]);
 			$title = implode(' ', $title);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang($title);
+			$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang($title);
 			$GLOBALS['phpgw']->common->phpgw_header();
 			echo parse_navbar();
Index: sandbox/workflow/branches/993/inc/class.ui_adminroles.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminroles.inc.php	(revision 2492)
+++ sandbox/workflow/branches/993/inc/class.ui_adminroles.inc.php	(revision 2544)
@@ -84,5 +84,5 @@
 	function form()
 	{
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Admin Process Roles');
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang('Admin Process Roles');
 		$GLOBALS['phpgw']->common->phpgw_header();
 		echo parse_navbar();
Index: sandbox/workflow/branches/993/inc/class.WorkflowUtils.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.WorkflowUtils.inc.php	(revision 2372)
+++ sandbox/workflow/branches/993/inc/class.WorkflowUtils.inc.php	(revision 2544)
@@ -93,5 +93,6 @@
 		{
 			// check version
-			if (alessthanb($GLOBALS['phpgw_info']['apps']['workflow']['version'], '1.2.01.006'))
+			$version = Settings::get('workflow', 'app', 'version');
+			if (alessthanb($version, '1.2.01.006'))
 			{
 				$GLOBALS['phpgw']->common->phpgw_header();
Index: sandbox/workflow/branches/993/inc/class.WorkflowMacro.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.WorkflowMacro.inc.php	(revision 2533)
+++ sandbox/workflow/branches/993/inc/class.WorkflowMacro.inc.php	(revision 2544)
@@ -39,5 +39,5 @@
 		require_once dirname(__FILE__) . '/../../header.inc.php';
 		require dirname(__FILE__) . '/../setup/setup.inc.php'; /* DO NOT USE require_once */
-		$GLOBALS['phpgw_info']['apps']['workflow'] = $setup_info['workflow'];
+		Settings::set('workflow', 'app', 'workflow', $setup_info['workflow']);
 		$row = Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID->query('SELECT config_value FROM phpgw_config WHERE config_app = ? AND config_name = ?', array('phpgwapi', 'files_dir'))->fetchRow();
 		$_SESSION['phpgw_info']['workflow']['vfs_basedir'] = ($row !== false) ? $row['config_value'] : '/home/expressolivre';
Index: sandbox/workflow/branches/993/inc/class.ui_adminsource.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminsource.inc.php	(revision 2372)
+++ sandbox/workflow/branches/993/inc/class.ui_adminsource.inc.php	(revision 2544)
@@ -78,5 +78,5 @@
 	{
 		$smarty = Factory::getInstance('workflow_smarty', false);
-		$smarty->setHeader(workflow_smarty::SHOW_HEADER | workflow_smarty::SHOW_NAVIGATION_BAR | workflow_smarty::SHOW_FOOTER, $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Admin Processes Sources'));
+		$smarty->setHeader(workflow_smarty::SHOW_HEADER | workflow_smarty::SHOW_NAVIGATION_BAR | workflow_smarty::SHOW_FOOTER, Settings::get('workflow', 'app', 'title') . ' - ' . lang('Admin Processes Sources'));
 
 		$javaScripts = $this->get_common_js();
Index: sandbox/workflow/branches/993/inc/class.ui_adminactivities.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminactivities.inc.php	(revision 2492)
+++ sandbox/workflow/branches/993/inc/class.ui_adminactivities.inc.php	(revision 2544)
@@ -119,5 +119,5 @@
 	function form()
 	{
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Admin Process Activities');
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang('Admin Process Activities');
 		$GLOBALS['phpgw']->common->phpgw_header();
 		echo parse_navbar();
Index: sandbox/workflow/branches/993/inc/class.ui_monitors.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_monitors.inc.php	(revision 2372)
+++ sandbox/workflow/branches/993/inc/class.ui_monitors.inc.php	(revision 2544)
@@ -55,5 +55,5 @@
 	function form()
 	{
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('%1 monitoring');
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang('%1 monitoring');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
 		$smarty = Factory::getInstance('workflow_smarty');
Index: sandbox/workflow/branches/993/inc/class.ui_adminaccess.inc.php
===================================================================
--- sandbox/workflow/branches/993/inc/class.ui_adminaccess.inc.php	(revision 2492)
+++ sandbox/workflow/branches/993/inc/class.ui_adminaccess.inc.php	(revision 2544)
@@ -61,5 +61,5 @@
 	function form()
 	{
-		$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['workflow']['title'] . ' - ' . lang('Access Control List');
+		$GLOBALS['phpgw_info']['flags']['app_header'] = Settings::get('workflow', 'app', 'title') . ' - ' . lang('Access Control List');
 		$GLOBALS['phpgw_info']['flags'] = array('noheader' => false, 'nonavbar' => false, 'currentapp' => 'workflow');
 		$smarty = Factory::getInstance('workflow_smarty');